import { createAggregatedClient } from "@smithy/smithy-client";
import { AssociateTrackerConsumerCommand, } from "./commands/AssociateTrackerConsumerCommand";
import { BatchDeleteDevicePositionHistoryCommand, } from "./commands/BatchDeleteDevicePositionHistoryCommand";
import { BatchDeleteGeofenceCommand, } from "./commands/BatchDeleteGeofenceCommand";
import { BatchEvaluateGeofencesCommand, } from "./commands/BatchEvaluateGeofencesCommand";
import { BatchGetDevicePositionCommand, } from "./commands/BatchGetDevicePositionCommand";
import { BatchPutGeofenceCommand, } from "./commands/BatchPutGeofenceCommand";
import { BatchUpdateDevicePositionCommand, } from "./commands/BatchUpdateDevicePositionCommand";
import { CalculateRouteCommand, } from "./commands/CalculateRouteCommand";
import { CalculateRouteMatrixCommand, } from "./commands/CalculateRouteMatrixCommand";
import { CreateGeofenceCollectionCommand, } from "./commands/CreateGeofenceCollectionCommand";
import { CreateKeyCommand } from "./commands/CreateKeyCommand";
import { CreateMapCommand } from "./commands/CreateMapCommand";
import { CreatePlaceIndexCommand, } from "./commands/CreatePlaceIndexCommand";
import { CreateRouteCalculatorCommand, } from "./commands/CreateRouteCalculatorCommand";
import { CreateTrackerCommand, } from "./commands/CreateTrackerCommand";
import { DeleteGeofenceCollectionCommand, } from "./commands/DeleteGeofenceCollectionCommand";
import { DeleteKeyCommand } from "./commands/DeleteKeyCommand";
import { DeleteMapCommand } from "./commands/DeleteMapCommand";
import { DeletePlaceIndexCommand, } from "./commands/DeletePlaceIndexCommand";
import { DeleteRouteCalculatorCommand, } from "./commands/DeleteRouteCalculatorCommand";
import { DeleteTrackerCommand, } from "./commands/DeleteTrackerCommand";
import { DescribeGeofenceCollectionCommand, } from "./commands/DescribeGeofenceCollectionCommand";
import { DescribeKeyCommand } from "./commands/DescribeKeyCommand";
import { DescribeMapCommand } from "./commands/DescribeMapCommand";
import { DescribePlaceIndexCommand, } from "./commands/DescribePlaceIndexCommand";
import { DescribeRouteCalculatorCommand, } from "./commands/DescribeRouteCalculatorCommand";
import { DescribeTrackerCommand, } from "./commands/DescribeTrackerCommand";
import { DisassociateTrackerConsumerCommand, } from "./commands/DisassociateTrackerConsumerCommand";
import { ForecastGeofenceEventsCommand, } from "./commands/ForecastGeofenceEventsCommand";
import { GetDevicePositionCommand, } from "./commands/GetDevicePositionCommand";
import { GetDevicePositionHistoryCommand, } from "./commands/GetDevicePositionHistoryCommand";
import { GetGeofenceCommand } from "./commands/GetGeofenceCommand";
import { GetMapGlyphsCommand, } from "./commands/GetMapGlyphsCommand";
import { GetMapSpritesCommand, } from "./commands/GetMapSpritesCommand";
import { GetMapStyleDescriptorCommand, } from "./commands/GetMapStyleDescriptorCommand";
import { GetMapTileCommand } from "./commands/GetMapTileCommand";
import { GetPlaceCommand } from "./commands/GetPlaceCommand";
import { ListDevicePositionsCommand, } from "./commands/ListDevicePositionsCommand";
import { ListGeofenceCollectionsCommand, } from "./commands/ListGeofenceCollectionsCommand";
import { ListGeofencesCommand, } from "./commands/ListGeofencesCommand";
import { ListKeysCommand } from "./commands/ListKeysCommand";
import { ListMapsCommand } from "./commands/ListMapsCommand";
import { ListPlaceIndexesCommand, } from "./commands/ListPlaceIndexesCommand";
import { ListRouteCalculatorsCommand, } from "./commands/ListRouteCalculatorsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListTrackerConsumersCommand, } from "./commands/ListTrackerConsumersCommand";
import { ListTrackersCommand, } from "./commands/ListTrackersCommand";
import { PutGeofenceCommand } from "./commands/PutGeofenceCommand";
import { SearchPlaceIndexForPositionCommand, } from "./commands/SearchPlaceIndexForPositionCommand";
import { SearchPlaceIndexForSuggestionsCommand, } from "./commands/SearchPlaceIndexForSuggestionsCommand";
import { SearchPlaceIndexForTextCommand, } from "./commands/SearchPlaceIndexForTextCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateGeofenceCollectionCommand, } from "./commands/UpdateGeofenceCollectionCommand";
import { UpdateKeyCommand } from "./commands/UpdateKeyCommand";
import { UpdateMapCommand } from "./commands/UpdateMapCommand";
import { UpdatePlaceIndexCommand, } from "./commands/UpdatePlaceIndexCommand";
import { UpdateRouteCalculatorCommand, } from "./commands/UpdateRouteCalculatorCommand";
import { UpdateTrackerCommand, } from "./commands/UpdateTrackerCommand";
import { VerifyDevicePositionCommand, } from "./commands/VerifyDevicePositionCommand";
import { LocationClient } from "./LocationClient";
const commands = {
    AssociateTrackerConsumerCommand,
    BatchDeleteDevicePositionHistoryCommand,
    BatchDeleteGeofenceCommand,
    BatchEvaluateGeofencesCommand,
    BatchGetDevicePositionCommand,
    BatchPutGeofenceCommand,
    BatchUpdateDevicePositionCommand,
    CalculateRouteCommand,
    CalculateRouteMatrixCommand,
    CreateGeofenceCollectionCommand,
    CreateKeyCommand,
    CreateMapCommand,
    CreatePlaceIndexCommand,
    CreateRouteCalculatorCommand,
    CreateTrackerCommand,
    DeleteGeofenceCollectionCommand,
    DeleteKeyCommand,
    DeleteMapCommand,
    DeletePlaceIndexCommand,
    DeleteRouteCalculatorCommand,
    DeleteTrackerCommand,
    DescribeGeofenceCollectionCommand,
    DescribeKeyCommand,
    DescribeMapCommand,
    DescribePlaceIndexCommand,
    DescribeRouteCalculatorCommand,
    DescribeTrackerCommand,
    DisassociateTrackerConsumerCommand,
    ForecastGeofenceEventsCommand,
    GetDevicePositionCommand,
    GetDevicePositionHistoryCommand,
    GetGeofenceCommand,
    GetMapGlyphsCommand,
    GetMapSpritesCommand,
    GetMapStyleDescriptorCommand,
    GetMapTileCommand,
    GetPlaceCommand,
    ListDevicePositionsCommand,
    ListGeofenceCollectionsCommand,
    ListGeofencesCommand,
    ListKeysCommand,
    ListMapsCommand,
    ListPlaceIndexesCommand,
    ListRouteCalculatorsCommand,
    ListTagsForResourceCommand,
    ListTrackerConsumersCommand,
    ListTrackersCommand,
    PutGeofenceCommand,
    SearchPlaceIndexForPositionCommand,
    SearchPlaceIndexForSuggestionsCommand,
    SearchPlaceIndexForTextCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateGeofenceCollectionCommand,
    UpdateKeyCommand,
    UpdateMapCommand,
    UpdatePlaceIndexCommand,
    UpdateRouteCalculatorCommand,
    UpdateTrackerCommand,
    VerifyDevicePositionCommand,
};
export class Location extends LocationClient {
}
createAggregatedClient(commands, Location);
