import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { BatchEvaluateGeofencesRequestFilterSensitiveLog, } from "../models/models_0";
import { de_BatchEvaluateGeofencesCommand, se_BatchEvaluateGeofencesCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class BatchEvaluateGeofencesCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "BatchEvaluateGeofences", {})
    .n("LocationClient", "BatchEvaluateGeofencesCommand")
    .f(BatchEvaluateGeofencesRequestFilterSensitiveLog, void 0)
    .ser(se_BatchEvaluateGeofencesCommand)
    .de(de_BatchEvaluateGeofencesCommand)
    .build() {
}
