import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { BatchGetDevicePositionResponseFilterSensitiveLog, } from "../models/models_0";
import { de_BatchGetDevicePositionCommand, se_BatchGetDevicePositionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class BatchGetDevicePositionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "BatchGetDevicePosition", {})
    .n("LocationClient", "BatchGetDevicePositionCommand")
    .f(void 0, BatchGetDevicePositionResponseFilterSensitiveLog)
    .ser(se_BatchGetDevicePositionCommand)
    .de(de_BatchGetDevicePositionCommand)
    .build() {
}
