import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { BatchUpdateDevicePositionRequestFilterSensitiveLog, } from "../models/models_0";
import { de_BatchUpdateDevicePositionCommand, se_BatchUpdateDevicePositionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class BatchUpdateDevicePositionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "BatchUpdateDevicePosition", {})
    .n("LocationClient", "BatchUpdateDevicePositionCommand")
    .f(BatchUpdateDevicePositionRequestFilterSensitiveLog, void 0)
    .ser(se_BatchUpdateDevicePositionCommand)
    .de(de_BatchUpdateDevicePositionCommand)
    .build() {
}
