import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteRouteCalculatorCommand, se_DeleteRouteCalculatorCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DeleteRouteCalculatorCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "DeleteRouteCalculator", {})
    .n("LocationClient", "DeleteRouteCalculatorCommand")
    .f(void 0, void 0)
    .ser(se_DeleteRouteCalculatorCommand)
    .de(de_DeleteRouteCalculatorCommand)
    .build() {
}
