import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { DescribeKeyResponseFilterSensitiveLog } from "../models/models_0";
import { de_DescribeKeyCommand, se_DescribeKeyCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DescribeKeyCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "DescribeKey", {})
    .n("LocationClient", "DescribeKeyCommand")
    .f(void 0, DescribeKeyResponseFilterSensitiveLog)
    .ser(se_DescribeKeyCommand)
    .de(de_DescribeKeyCommand)
    .build() {
}
