import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetDevicePositionResponseFilterSensitiveLog, } from "../models/models_0";
import { de_GetDevicePositionCommand, se_GetDevicePositionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetDevicePositionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "GetDevicePosition", {})
    .n("LocationClient", "GetDevicePositionCommand")
    .f(void 0, GetDevicePositionResponseFilterSensitiveLog)
    .ser(se_GetDevicePositionCommand)
    .de(de_GetDevicePositionCommand)
    .build() {
}
