import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetMapGlyphsRequestFilterSensitiveLog } from "../models/models_0";
import { de_GetMapGlyphsCommand, se_GetMapGlyphsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetMapGlyphsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "GetMapGlyphs", {})
    .n("LocationClient", "GetMapGlyphsCommand")
    .f(GetMapGlyphsRequestFilterSensitiveLog, void 0)
    .ser(se_GetMapGlyphsCommand)
    .de(de_GetMapGlyphsCommand)
    .build() {
}
