import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetMapSpritesRequestFilterSensitiveLog, } from "../models/models_0";
import { de_GetMapSpritesCommand, se_GetMapSpritesCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetMapSpritesCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "GetMapSprites", {})
    .n("LocationClient", "GetMapSpritesCommand")
    .f(GetMapSpritesRequestFilterSensitiveLog, void 0)
    .ser(se_GetMapSpritesCommand)
    .de(de_GetMapSpritesCommand)
    .build() {
}
