import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetMapStyleDescriptorRequestFilterSensitiveLog, } from "../models/models_0";
import { de_GetMapStyleDescriptorCommand, se_GetMapStyleDescriptorCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetMapStyleDescriptorCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "GetMapStyleDescriptor", {})
    .n("LocationClient", "GetMapStyleDescriptorCommand")
    .f(GetMapStyleDescriptorRequestFilterSensitiveLog, void 0)
    .ser(se_GetMapStyleDescriptorCommand)
    .de(de_GetMapStyleDescriptorCommand)
    .build() {
}
