import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetMapTileRequestFilterSensitiveLog } from "../models/models_0";
import { de_GetMapTileCommand, se_GetMapTileCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetMapTileCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "GetMapTile", {})
    .n("LocationClient", "GetMapTileCommand")
    .f(GetMapTileRequestFilterSensitiveLog, void 0)
    .ser(se_GetMapTileCommand)
    .de(de_GetMapTileCommand)
    .build() {
}
