import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { PutGeofenceRequestFilterSensitiveLog } from "../models/models_0";
import { de_PutGeofenceCommand, se_PutGeofenceCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class PutGeofenceCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "PutGeofence", {})
    .n("LocationClient", "PutGeofenceCommand")
    .f(PutGeofenceRequestFilterSensitiveLog, void 0)
    .ser(se_PutGeofenceCommand)
    .de(de_PutGeofenceCommand)
    .build() {
}
