import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_UpdateMapCommand, se_UpdateMapCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateMapCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "UpdateMap", {})
    .n("LocationClient", "UpdateMapCommand")
    .f(void 0, void 0)
    .ser(se_UpdateMapCommand)
    .de(de_UpdateMapCommand)
    .build() {
}
