import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { VerifyDevicePositionRequestFilterSensitiveLog, VerifyDevicePositionResponseFilterSensitiveLog, } from "../models/models_0";
import { de_VerifyDevicePositionCommand, se_VerifyDevicePositionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class VerifyDevicePositionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LocationService", "VerifyDevicePosition", {})
    .n("LocationClient", "VerifyDevicePositionCommand")
    .f(VerifyDevicePositionRequestFilterSensitiveLog, VerifyDevicePositionResponseFilterSensitiveLog)
    .ser(se_VerifyDevicePositionCommand)
    .de(de_VerifyDevicePositionCommand)
    .build() {
}
