import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AssociateTrackerConsumerCommandInput, AssociateTrackerConsumerCommandOutput } from "../commands/AssociateTrackerConsumerCommand";
import { BatchDeleteDevicePositionHistoryCommandInput, BatchDeleteDevicePositionHistoryCommandOutput } from "../commands/BatchDeleteDevicePositionHistoryCommand";
import { BatchDeleteGeofenceCommandInput, BatchDeleteGeofenceCommandOutput } from "../commands/BatchDeleteGeofenceCommand";
import { BatchEvaluateGeofencesCommandInput, BatchEvaluateGeofencesCommandOutput } from "../commands/BatchEvaluateGeofencesCommand";
import { BatchGetDevicePositionCommandInput, BatchGetDevicePositionCommandOutput } from "../commands/BatchGetDevicePositionCommand";
import { BatchPutGeofenceCommandInput, BatchPutGeofenceCommandOutput } from "../commands/BatchPutGeofenceCommand";
import { BatchUpdateDevicePositionCommandInput, BatchUpdateDevicePositionCommandOutput } from "../commands/BatchUpdateDevicePositionCommand";
import { CalculateRouteCommandInput, CalculateRouteCommandOutput } from "../commands/CalculateRouteCommand";
import { CalculateRouteMatrixCommandInput, CalculateRouteMatrixCommandOutput } from "../commands/CalculateRouteMatrixCommand";
import { CreateGeofenceCollectionCommandInput, CreateGeofenceCollectionCommandOutput } from "../commands/CreateGeofenceCollectionCommand";
import { CreateKeyCommandInput, CreateKeyCommandOutput } from "../commands/CreateKeyCommand";
import { CreateMapCommandInput, CreateMapCommandOutput } from "../commands/CreateMapCommand";
import { CreatePlaceIndexCommandInput, CreatePlaceIndexCommandOutput } from "../commands/CreatePlaceIndexCommand";
import { CreateRouteCalculatorCommandInput, CreateRouteCalculatorCommandOutput } from "../commands/CreateRouteCalculatorCommand";
import { CreateTrackerCommandInput, CreateTrackerCommandOutput } from "../commands/CreateTrackerCommand";
import { DeleteGeofenceCollectionCommandInput, DeleteGeofenceCollectionCommandOutput } from "../commands/DeleteGeofenceCollectionCommand";
import { DeleteKeyCommandInput, DeleteKeyCommandOutput } from "../commands/DeleteKeyCommand";
import { DeleteMapCommandInput, DeleteMapCommandOutput } from "../commands/DeleteMapCommand";
import { DeletePlaceIndexCommandInput, DeletePlaceIndexCommandOutput } from "../commands/DeletePlaceIndexCommand";
import { DeleteRouteCalculatorCommandInput, DeleteRouteCalculatorCommandOutput } from "../commands/DeleteRouteCalculatorCommand";
import { DeleteTrackerCommandInput, DeleteTrackerCommandOutput } from "../commands/DeleteTrackerCommand";
import { DescribeGeofenceCollectionCommandInput, DescribeGeofenceCollectionCommandOutput } from "../commands/DescribeGeofenceCollectionCommand";
import { DescribeKeyCommandInput, DescribeKeyCommandOutput } from "../commands/DescribeKeyCommand";
import { DescribeMapCommandInput, DescribeMapCommandOutput } from "../commands/DescribeMapCommand";
import { DescribePlaceIndexCommandInput, DescribePlaceIndexCommandOutput } from "../commands/DescribePlaceIndexCommand";
import { DescribeRouteCalculatorCommandInput, DescribeRouteCalculatorCommandOutput } from "../commands/DescribeRouteCalculatorCommand";
import { DescribeTrackerCommandInput, DescribeTrackerCommandOutput } from "../commands/DescribeTrackerCommand";
import { DisassociateTrackerConsumerCommandInput, DisassociateTrackerConsumerCommandOutput } from "../commands/DisassociateTrackerConsumerCommand";
import { ForecastGeofenceEventsCommandInput, ForecastGeofenceEventsCommandOutput } from "../commands/ForecastGeofenceEventsCommand";
import { GetDevicePositionCommandInput, GetDevicePositionCommandOutput } from "../commands/GetDevicePositionCommand";
import { GetDevicePositionHistoryCommandInput, GetDevicePositionHistoryCommandOutput } from "../commands/GetDevicePositionHistoryCommand";
import { GetGeofenceCommandInput, GetGeofenceCommandOutput } from "../commands/GetGeofenceCommand";
import { GetMapGlyphsCommandInput, GetMapGlyphsCommandOutput } from "../commands/GetMapGlyphsCommand";
import { GetMapSpritesCommandInput, GetMapSpritesCommandOutput } from "../commands/GetMapSpritesCommand";
import { GetMapStyleDescriptorCommandInput, GetMapStyleDescriptorCommandOutput } from "../commands/GetMapStyleDescriptorCommand";
import { GetMapTileCommandInput, GetMapTileCommandOutput } from "../commands/GetMapTileCommand";
import { GetPlaceCommandInput, GetPlaceCommandOutput } from "../commands/GetPlaceCommand";
import { ListDevicePositionsCommandInput, ListDevicePositionsCommandOutput } from "../commands/ListDevicePositionsCommand";
import { ListGeofenceCollectionsCommandInput, ListGeofenceCollectionsCommandOutput } from "../commands/ListGeofenceCollectionsCommand";
import { ListGeofencesCommandInput, ListGeofencesCommandOutput } from "../commands/ListGeofencesCommand";
import { ListKeysCommandInput, ListKeysCommandOutput } from "../commands/ListKeysCommand";
import { ListMapsCommandInput, ListMapsCommandOutput } from "../commands/ListMapsCommand";
import { ListPlaceIndexesCommandInput, ListPlaceIndexesCommandOutput } from "../commands/ListPlaceIndexesCommand";
import { ListRouteCalculatorsCommandInput, ListRouteCalculatorsCommandOutput } from "../commands/ListRouteCalculatorsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListTrackerConsumersCommandInput, ListTrackerConsumersCommandOutput } from "../commands/ListTrackerConsumersCommand";
import { ListTrackersCommandInput, ListTrackersCommandOutput } from "../commands/ListTrackersCommand";
import { PutGeofenceCommandInput, PutGeofenceCommandOutput } from "../commands/PutGeofenceCommand";
import { SearchPlaceIndexForPositionCommandInput, SearchPlaceIndexForPositionCommandOutput } from "../commands/SearchPlaceIndexForPositionCommand";
import { SearchPlaceIndexForSuggestionsCommandInput, SearchPlaceIndexForSuggestionsCommandOutput } from "../commands/SearchPlaceIndexForSuggestionsCommand";
import { SearchPlaceIndexForTextCommandInput, SearchPlaceIndexForTextCommandOutput } from "../commands/SearchPlaceIndexForTextCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateGeofenceCollectionCommandInput, UpdateGeofenceCollectionCommandOutput } from "../commands/UpdateGeofenceCollectionCommand";
import { UpdateKeyCommandInput, UpdateKeyCommandOutput } from "../commands/UpdateKeyCommand";
import { UpdateMapCommandInput, UpdateMapCommandOutput } from "../commands/UpdateMapCommand";
import { UpdatePlaceIndexCommandInput, UpdatePlaceIndexCommandOutput } from "../commands/UpdatePlaceIndexCommand";
import { UpdateRouteCalculatorCommandInput, UpdateRouteCalculatorCommandOutput } from "../commands/UpdateRouteCalculatorCommand";
import { UpdateTrackerCommandInput, UpdateTrackerCommandOutput } from "../commands/UpdateTrackerCommand";
import { VerifyDevicePositionCommandInput, VerifyDevicePositionCommandOutput } from "../commands/VerifyDevicePositionCommand";
/**
 * serializeAws_restJson1AssociateTrackerConsumerCommand
 */
export declare const se_AssociateTrackerConsumerCommand: (input: AssociateTrackerConsumerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchDeleteDevicePositionHistoryCommand
 */
export declare const se_BatchDeleteDevicePositionHistoryCommand: (input: BatchDeleteDevicePositionHistoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchDeleteGeofenceCommand
 */
export declare const se_BatchDeleteGeofenceCommand: (input: BatchDeleteGeofenceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchEvaluateGeofencesCommand
 */
export declare const se_BatchEvaluateGeofencesCommand: (input: BatchEvaluateGeofencesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchGetDevicePositionCommand
 */
export declare const se_BatchGetDevicePositionCommand: (input: BatchGetDevicePositionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchPutGeofenceCommand
 */
export declare const se_BatchPutGeofenceCommand: (input: BatchPutGeofenceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchUpdateDevicePositionCommand
 */
export declare const se_BatchUpdateDevicePositionCommand: (input: BatchUpdateDevicePositionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CalculateRouteCommand
 */
export declare const se_CalculateRouteCommand: (input: CalculateRouteCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CalculateRouteMatrixCommand
 */
export declare const se_CalculateRouteMatrixCommand: (input: CalculateRouteMatrixCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateGeofenceCollectionCommand
 */
export declare const se_CreateGeofenceCollectionCommand: (input: CreateGeofenceCollectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateKeyCommand
 */
export declare const se_CreateKeyCommand: (input: CreateKeyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateMapCommand
 */
export declare const se_CreateMapCommand: (input: CreateMapCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreatePlaceIndexCommand
 */
export declare const se_CreatePlaceIndexCommand: (input: CreatePlaceIndexCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateRouteCalculatorCommand
 */
export declare const se_CreateRouteCalculatorCommand: (input: CreateRouteCalculatorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateTrackerCommand
 */
export declare const se_CreateTrackerCommand: (input: CreateTrackerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteGeofenceCollectionCommand
 */
export declare const se_DeleteGeofenceCollectionCommand: (input: DeleteGeofenceCollectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteKeyCommand
 */
export declare const se_DeleteKeyCommand: (input: DeleteKeyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteMapCommand
 */
export declare const se_DeleteMapCommand: (input: DeleteMapCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeletePlaceIndexCommand
 */
export declare const se_DeletePlaceIndexCommand: (input: DeletePlaceIndexCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteRouteCalculatorCommand
 */
export declare const se_DeleteRouteCalculatorCommand: (input: DeleteRouteCalculatorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteTrackerCommand
 */
export declare const se_DeleteTrackerCommand: (input: DeleteTrackerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeGeofenceCollectionCommand
 */
export declare const se_DescribeGeofenceCollectionCommand: (input: DescribeGeofenceCollectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeKeyCommand
 */
export declare const se_DescribeKeyCommand: (input: DescribeKeyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeMapCommand
 */
export declare const se_DescribeMapCommand: (input: DescribeMapCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribePlaceIndexCommand
 */
export declare const se_DescribePlaceIndexCommand: (input: DescribePlaceIndexCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeRouteCalculatorCommand
 */
export declare const se_DescribeRouteCalculatorCommand: (input: DescribeRouteCalculatorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeTrackerCommand
 */
export declare const se_DescribeTrackerCommand: (input: DescribeTrackerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisassociateTrackerConsumerCommand
 */
export declare const se_DisassociateTrackerConsumerCommand: (input: DisassociateTrackerConsumerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ForecastGeofenceEventsCommand
 */
export declare const se_ForecastGeofenceEventsCommand: (input: ForecastGeofenceEventsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetDevicePositionCommand
 */
export declare const se_GetDevicePositionCommand: (input: GetDevicePositionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetDevicePositionHistoryCommand
 */
export declare const se_GetDevicePositionHistoryCommand: (input: GetDevicePositionHistoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetGeofenceCommand
 */
export declare const se_GetGeofenceCommand: (input: GetGeofenceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetMapGlyphsCommand
 */
export declare const se_GetMapGlyphsCommand: (input: GetMapGlyphsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetMapSpritesCommand
 */
export declare const se_GetMapSpritesCommand: (input: GetMapSpritesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetMapStyleDescriptorCommand
 */
export declare const se_GetMapStyleDescriptorCommand: (input: GetMapStyleDescriptorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetMapTileCommand
 */
export declare const se_GetMapTileCommand: (input: GetMapTileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetPlaceCommand
 */
export declare const se_GetPlaceCommand: (input: GetPlaceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListDevicePositionsCommand
 */
export declare const se_ListDevicePositionsCommand: (input: ListDevicePositionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListGeofenceCollectionsCommand
 */
export declare const se_ListGeofenceCollectionsCommand: (input: ListGeofenceCollectionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListGeofencesCommand
 */
export declare const se_ListGeofencesCommand: (input: ListGeofencesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListKeysCommand
 */
export declare const se_ListKeysCommand: (input: ListKeysCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListMapsCommand
 */
export declare const se_ListMapsCommand: (input: ListMapsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListPlaceIndexesCommand
 */
export declare const se_ListPlaceIndexesCommand: (input: ListPlaceIndexesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListRouteCalculatorsCommand
 */
export declare const se_ListRouteCalculatorsCommand: (input: ListRouteCalculatorsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTrackerConsumersCommand
 */
export declare const se_ListTrackerConsumersCommand: (input: ListTrackerConsumersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTrackersCommand
 */
export declare const se_ListTrackersCommand: (input: ListTrackersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutGeofenceCommand
 */
export declare const se_PutGeofenceCommand: (input: PutGeofenceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SearchPlaceIndexForPositionCommand
 */
export declare const se_SearchPlaceIndexForPositionCommand: (input: SearchPlaceIndexForPositionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SearchPlaceIndexForSuggestionsCommand
 */
export declare const se_SearchPlaceIndexForSuggestionsCommand: (input: SearchPlaceIndexForSuggestionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SearchPlaceIndexForTextCommand
 */
export declare const se_SearchPlaceIndexForTextCommand: (input: SearchPlaceIndexForTextCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateGeofenceCollectionCommand
 */
export declare const se_UpdateGeofenceCollectionCommand: (input: UpdateGeofenceCollectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateKeyCommand
 */
export declare const se_UpdateKeyCommand: (input: UpdateKeyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateMapCommand
 */
export declare const se_UpdateMapCommand: (input: UpdateMapCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdatePlaceIndexCommand
 */
export declare const se_UpdatePlaceIndexCommand: (input: UpdatePlaceIndexCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateRouteCalculatorCommand
 */
export declare const se_UpdateRouteCalculatorCommand: (input: UpdateRouteCalculatorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateTrackerCommand
 */
export declare const se_UpdateTrackerCommand: (input: UpdateTrackerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1VerifyDevicePositionCommand
 */
export declare const se_VerifyDevicePositionCommand: (input: VerifyDevicePositionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1AssociateTrackerConsumerCommand
 */
export declare const de_AssociateTrackerConsumerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateTrackerConsumerCommandOutput>;
/**
 * deserializeAws_restJson1BatchDeleteDevicePositionHistoryCommand
 */
export declare const de_BatchDeleteDevicePositionHistoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchDeleteDevicePositionHistoryCommandOutput>;
/**
 * deserializeAws_restJson1BatchDeleteGeofenceCommand
 */
export declare const de_BatchDeleteGeofenceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchDeleteGeofenceCommandOutput>;
/**
 * deserializeAws_restJson1BatchEvaluateGeofencesCommand
 */
export declare const de_BatchEvaluateGeofencesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchEvaluateGeofencesCommandOutput>;
/**
 * deserializeAws_restJson1BatchGetDevicePositionCommand
 */
export declare const de_BatchGetDevicePositionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchGetDevicePositionCommandOutput>;
/**
 * deserializeAws_restJson1BatchPutGeofenceCommand
 */
export declare const de_BatchPutGeofenceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchPutGeofenceCommandOutput>;
/**
 * deserializeAws_restJson1BatchUpdateDevicePositionCommand
 */
export declare const de_BatchUpdateDevicePositionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchUpdateDevicePositionCommandOutput>;
/**
 * deserializeAws_restJson1CalculateRouteCommand
 */
export declare const de_CalculateRouteCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CalculateRouteCommandOutput>;
/**
 * deserializeAws_restJson1CalculateRouteMatrixCommand
 */
export declare const de_CalculateRouteMatrixCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CalculateRouteMatrixCommandOutput>;
/**
 * deserializeAws_restJson1CreateGeofenceCollectionCommand
 */
export declare const de_CreateGeofenceCollectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateGeofenceCollectionCommandOutput>;
/**
 * deserializeAws_restJson1CreateKeyCommand
 */
export declare const de_CreateKeyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateKeyCommandOutput>;
/**
 * deserializeAws_restJson1CreateMapCommand
 */
export declare const de_CreateMapCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMapCommandOutput>;
/**
 * deserializeAws_restJson1CreatePlaceIndexCommand
 */
export declare const de_CreatePlaceIndexCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreatePlaceIndexCommandOutput>;
/**
 * deserializeAws_restJson1CreateRouteCalculatorCommand
 */
export declare const de_CreateRouteCalculatorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateRouteCalculatorCommandOutput>;
/**
 * deserializeAws_restJson1CreateTrackerCommand
 */
export declare const de_CreateTrackerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTrackerCommandOutput>;
/**
 * deserializeAws_restJson1DeleteGeofenceCollectionCommand
 */
export declare const de_DeleteGeofenceCollectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteGeofenceCollectionCommandOutput>;
/**
 * deserializeAws_restJson1DeleteKeyCommand
 */
export declare const de_DeleteKeyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteKeyCommandOutput>;
/**
 * deserializeAws_restJson1DeleteMapCommand
 */
export declare const de_DeleteMapCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMapCommandOutput>;
/**
 * deserializeAws_restJson1DeletePlaceIndexCommand
 */
export declare const de_DeletePlaceIndexCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeletePlaceIndexCommandOutput>;
/**
 * deserializeAws_restJson1DeleteRouteCalculatorCommand
 */
export declare const de_DeleteRouteCalculatorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteRouteCalculatorCommandOutput>;
/**
 * deserializeAws_restJson1DeleteTrackerCommand
 */
export declare const de_DeleteTrackerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTrackerCommandOutput>;
/**
 * deserializeAws_restJson1DescribeGeofenceCollectionCommand
 */
export declare const de_DescribeGeofenceCollectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeGeofenceCollectionCommandOutput>;
/**
 * deserializeAws_restJson1DescribeKeyCommand
 */
export declare const de_DescribeKeyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeKeyCommandOutput>;
/**
 * deserializeAws_restJson1DescribeMapCommand
 */
export declare const de_DescribeMapCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMapCommandOutput>;
/**
 * deserializeAws_restJson1DescribePlaceIndexCommand
 */
export declare const de_DescribePlaceIndexCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribePlaceIndexCommandOutput>;
/**
 * deserializeAws_restJson1DescribeRouteCalculatorCommand
 */
export declare const de_DescribeRouteCalculatorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeRouteCalculatorCommandOutput>;
/**
 * deserializeAws_restJson1DescribeTrackerCommand
 */
export declare const de_DescribeTrackerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTrackerCommandOutput>;
/**
 * deserializeAws_restJson1DisassociateTrackerConsumerCommand
 */
export declare const de_DisassociateTrackerConsumerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateTrackerConsumerCommandOutput>;
/**
 * deserializeAws_restJson1ForecastGeofenceEventsCommand
 */
export declare const de_ForecastGeofenceEventsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ForecastGeofenceEventsCommandOutput>;
/**
 * deserializeAws_restJson1GetDevicePositionCommand
 */
export declare const de_GetDevicePositionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetDevicePositionCommandOutput>;
/**
 * deserializeAws_restJson1GetDevicePositionHistoryCommand
 */
export declare const de_GetDevicePositionHistoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetDevicePositionHistoryCommandOutput>;
/**
 * deserializeAws_restJson1GetGeofenceCommand
 */
export declare const de_GetGeofenceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetGeofenceCommandOutput>;
/**
 * deserializeAws_restJson1GetMapGlyphsCommand
 */
export declare const de_GetMapGlyphsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMapGlyphsCommandOutput>;
/**
 * deserializeAws_restJson1GetMapSpritesCommand
 */
export declare const de_GetMapSpritesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMapSpritesCommandOutput>;
/**
 * deserializeAws_restJson1GetMapStyleDescriptorCommand
 */
export declare const de_GetMapStyleDescriptorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMapStyleDescriptorCommandOutput>;
/**
 * deserializeAws_restJson1GetMapTileCommand
 */
export declare const de_GetMapTileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMapTileCommandOutput>;
/**
 * deserializeAws_restJson1GetPlaceCommand
 */
export declare const de_GetPlaceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetPlaceCommandOutput>;
/**
 * deserializeAws_restJson1ListDevicePositionsCommand
 */
export declare const de_ListDevicePositionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDevicePositionsCommandOutput>;
/**
 * deserializeAws_restJson1ListGeofenceCollectionsCommand
 */
export declare const de_ListGeofenceCollectionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListGeofenceCollectionsCommandOutput>;
/**
 * deserializeAws_restJson1ListGeofencesCommand
 */
export declare const de_ListGeofencesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListGeofencesCommandOutput>;
/**
 * deserializeAws_restJson1ListKeysCommand
 */
export declare const de_ListKeysCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListKeysCommandOutput>;
/**
 * deserializeAws_restJson1ListMapsCommand
 */
export declare const de_ListMapsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMapsCommandOutput>;
/**
 * deserializeAws_restJson1ListPlaceIndexesCommand
 */
export declare const de_ListPlaceIndexesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPlaceIndexesCommandOutput>;
/**
 * deserializeAws_restJson1ListRouteCalculatorsCommand
 */
export declare const de_ListRouteCalculatorsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListRouteCalculatorsCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1ListTrackerConsumersCommand
 */
export declare const de_ListTrackerConsumersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTrackerConsumersCommandOutput>;
/**
 * deserializeAws_restJson1ListTrackersCommand
 */
export declare const de_ListTrackersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTrackersCommandOutput>;
/**
 * deserializeAws_restJson1PutGeofenceCommand
 */
export declare const de_PutGeofenceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutGeofenceCommandOutput>;
/**
 * deserializeAws_restJson1SearchPlaceIndexForPositionCommand
 */
export declare const de_SearchPlaceIndexForPositionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SearchPlaceIndexForPositionCommandOutput>;
/**
 * deserializeAws_restJson1SearchPlaceIndexForSuggestionsCommand
 */
export declare const de_SearchPlaceIndexForSuggestionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SearchPlaceIndexForSuggestionsCommandOutput>;
/**
 * deserializeAws_restJson1SearchPlaceIndexForTextCommand
 */
export declare const de_SearchPlaceIndexForTextCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SearchPlaceIndexForTextCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateGeofenceCollectionCommand
 */
export declare const de_UpdateGeofenceCollectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateGeofenceCollectionCommandOutput>;
/**
 * deserializeAws_restJson1UpdateKeyCommand
 */
export declare const de_UpdateKeyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateKeyCommandOutput>;
/**
 * deserializeAws_restJson1UpdateMapCommand
 */
export declare const de_UpdateMapCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateMapCommandOutput>;
/**
 * deserializeAws_restJson1UpdatePlaceIndexCommand
 */
export declare const de_UpdatePlaceIndexCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdatePlaceIndexCommandOutput>;
/**
 * deserializeAws_restJson1UpdateRouteCalculatorCommand
 */
export declare const de_UpdateRouteCalculatorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateRouteCalculatorCommandOutput>;
/**
 * deserializeAws_restJson1UpdateTrackerCommand
 */
export declare const de_UpdateTrackerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTrackerCommandOutput>;
/**
 * deserializeAws_restJson1VerifyDevicePositionCommand
 */
export declare const de_VerifyDevicePositionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<VerifyDevicePositionCommandOutput>;
