import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
  Provider,
} from "@smithy/types";
import { LocationClientResolvedConfig } from "../LocationClient";
export interface LocationHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface LocationHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    LocationClientResolvedConfig,
    HandlerExecutionContext,
    LocationHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultLocationHttpAuthSchemeParametersProvider: (
  config: LocationClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<LocationHttpAuthSchemeParameters>;
export interface LocationHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<LocationHttpAuthSchemeParameters> {}
export declare const defaultLocationHttpAuthSchemeProvider: LocationHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  authSchemePreference?: string[] | Provider<string[]>;
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: LocationHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly authSchemePreference: Provider<string[]>;
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: LocationHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
