import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { Uint8ArrayBlobAdapter } from "@smithy/util-stream";
import {
  LocationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LocationClient";
import { GetMapGlyphsRequest, GetMapGlyphsResponse } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetMapGlyphsCommandInput extends GetMapGlyphsRequest {}
export type GetMapGlyphsCommandOutputType = Pick<
  GetMapGlyphsResponse,
  Exclude<keyof GetMapGlyphsResponse, "Blob">
> & {
  Blob?: Uint8ArrayBlobAdapter;
};
export interface GetMapGlyphsCommandOutput
  extends GetMapGlyphsCommandOutputType,
    __MetadataBearer {}
declare const GetMapGlyphsCommand_base: {
  new (
    input: GetMapGlyphsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetMapGlyphsCommandInput,
    GetMapGlyphsCommandOutput,
    LocationClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: GetMapGlyphsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetMapGlyphsCommandInput,
    GetMapGlyphsCommandOutput,
    LocationClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetMapGlyphsCommand extends GetMapGlyphsCommand_base {
  protected static __types: {
    api: {
      input: GetMapGlyphsRequest;
      output: GetMapGlyphsResponse;
    };
    sdk: {
      input: GetMapGlyphsCommandInput;
      output: GetMapGlyphsCommandOutput;
    };
  };
}
