import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { Uint8ArrayBlobAdapter } from "@smithy/util-stream";
import {
  LocationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LocationClient";
import {
  GetMapSpritesRequest,
  GetMapSpritesResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetMapSpritesCommandInput extends GetMapSpritesRequest {}
export type GetMapSpritesCommandOutputType = Pick<
  GetMapSpritesResponse,
  Exclude<keyof GetMapSpritesResponse, "Blob">
> & {
  Blob?: Uint8ArrayBlobAdapter;
};
export interface GetMapSpritesCommandOutput
  extends GetMapSpritesCommandOutputType,
    __MetadataBearer {}
declare const GetMapSpritesCommand_base: {
  new (
    input: GetMapSpritesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetMapSpritesCommandInput,
    GetMapSpritesCommandOutput,
    LocationClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: GetMapSpritesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetMapSpritesCommandInput,
    GetMapSpritesCommandOutput,
    LocationClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetMapSpritesCommand extends GetMapSpritesCommand_base {
  protected static __types: {
    api: {
      input: GetMapSpritesRequest;
      output: GetMapSpritesResponse;
    };
    sdk: {
      input: GetMapSpritesCommandInput;
      output: GetMapSpritesCommandOutput;
    };
  };
}
