import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { Uint8ArrayBlobAdapter } from "@smithy/util-stream";
import {
  LocationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LocationClient";
import {
  GetMapStyleDescriptorRequest,
  GetMapStyleDescriptorResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetMapStyleDescriptorCommandInput
  extends GetMapStyleDescriptorRequest {}
export type GetMapStyleDescriptorCommandOutputType = Pick<
  GetMapStyleDescriptorResponse,
  Exclude<keyof GetMapStyleDescriptorResponse, "Blob">
> & {
  Blob?: Uint8ArrayBlobAdapter;
};
export interface GetMapStyleDescriptorCommandOutput
  extends GetMapStyleDescriptorCommandOutputType,
    __MetadataBearer {}
declare const GetMapStyleDescriptorCommand_base: {
  new (
    input: GetMapStyleDescriptorCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetMapStyleDescriptorCommandInput,
    GetMapStyleDescriptorCommandOutput,
    LocationClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: GetMapStyleDescriptorCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetMapStyleDescriptorCommandInput,
    GetMapStyleDescriptorCommandOutput,
    LocationClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetMapStyleDescriptorCommand extends GetMapStyleDescriptorCommand_base {
  protected static __types: {
    api: {
      input: GetMapStyleDescriptorRequest;
      output: GetMapStyleDescriptorResponse;
    };
    sdk: {
      input: GetMapStyleDescriptorCommandInput;
      output: GetMapStyleDescriptorCommandOutput;
    };
  };
}
