import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { Uint8ArrayBlobAdapter } from "@smithy/util-stream";
import {
  LocationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LocationClient";
import { GetMapTileRequest, GetMapTileResponse } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetMapTileCommandInput extends GetMapTileRequest {}
export type GetMapTileCommandOutputType = Pick<
  GetMapTileResponse,
  Exclude<keyof GetMapTileResponse, "Blob">
> & {
  Blob?: Uint8ArrayBlobAdapter;
};
export interface GetMapTileCommandOutput
  extends GetMapTileCommandOutputType,
    __MetadataBearer {}
declare const GetMapTileCommand_base: {
  new (
    input: GetMapTileCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetMapTileCommandInput,
    GetMapTileCommandOutput,
    LocationClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: GetMapTileCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetMapTileCommandInput,
    GetMapTileCommandOutput,
    LocationClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetMapTileCommand extends GetMapTileCommand_base {
  protected static __types: {
    api: {
      input: GetMapTileRequest;
      output: GetMapTileResponse;
    };
    sdk: {
      input: GetMapTileCommandInput;
      output: GetMapTileCommandOutput;
    };
  };
}
