import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AssociateTrackerConsumerCommandInput,
  AssociateTrackerConsumerCommandOutput,
} from "../commands/AssociateTrackerConsumerCommand";
import {
  BatchDeleteDevicePositionHistoryCommandInput,
  BatchDeleteDevicePositionHistoryCommandOutput,
} from "../commands/BatchDeleteDevicePositionHistoryCommand";
import {
  BatchDeleteGeofenceCommandInput,
  BatchDeleteGeofenceCommandOutput,
} from "../commands/BatchDeleteGeofenceCommand";
import {
  BatchEvaluateGeofencesCommandInput,
  BatchEvaluateGeofencesCommandOutput,
} from "../commands/BatchEvaluateGeofencesCommand";
import {
  BatchGetDevicePositionCommandInput,
  BatchGetDevicePositionCommandOutput,
} from "../commands/BatchGetDevicePositionCommand";
import {
  BatchPutGeofenceCommandInput,
  BatchPutGeofenceCommandOutput,
} from "../commands/BatchPutGeofenceCommand";
import {
  BatchUpdateDevicePositionCommandInput,
  BatchUpdateDevicePositionCommandOutput,
} from "../commands/BatchUpdateDevicePositionCommand";
import {
  CalculateRouteCommandInput,
  CalculateRouteCommandOutput,
} from "../commands/CalculateRouteCommand";
import {
  CalculateRouteMatrixCommandInput,
  CalculateRouteMatrixCommandOutput,
} from "../commands/CalculateRouteMatrixCommand";
import {
  CreateGeofenceCollectionCommandInput,
  CreateGeofenceCollectionCommandOutput,
} from "../commands/CreateGeofenceCollectionCommand";
import {
  CreateKeyCommandInput,
  CreateKeyCommandOutput,
} from "../commands/CreateKeyCommand";
import {
  CreateMapCommandInput,
  CreateMapCommandOutput,
} from "../commands/CreateMapCommand";
import {
  CreatePlaceIndexCommandInput,
  CreatePlaceIndexCommandOutput,
} from "../commands/CreatePlaceIndexCommand";
import {
  CreateRouteCalculatorCommandInput,
  CreateRouteCalculatorCommandOutput,
} from "../commands/CreateRouteCalculatorCommand";
import {
  CreateTrackerCommandInput,
  CreateTrackerCommandOutput,
} from "../commands/CreateTrackerCommand";
import {
  DeleteGeofenceCollectionCommandInput,
  DeleteGeofenceCollectionCommandOutput,
} from "../commands/DeleteGeofenceCollectionCommand";
import {
  DeleteKeyCommandInput,
  DeleteKeyCommandOutput,
} from "../commands/DeleteKeyCommand";
import {
  DeleteMapCommandInput,
  DeleteMapCommandOutput,
} from "../commands/DeleteMapCommand";
import {
  DeletePlaceIndexCommandInput,
  DeletePlaceIndexCommandOutput,
} from "../commands/DeletePlaceIndexCommand";
import {
  DeleteRouteCalculatorCommandInput,
  DeleteRouteCalculatorCommandOutput,
} from "../commands/DeleteRouteCalculatorCommand";
import {
  DeleteTrackerCommandInput,
  DeleteTrackerCommandOutput,
} from "../commands/DeleteTrackerCommand";
import {
  DescribeGeofenceCollectionCommandInput,
  DescribeGeofenceCollectionCommandOutput,
} from "../commands/DescribeGeofenceCollectionCommand";
import {
  DescribeKeyCommandInput,
  DescribeKeyCommandOutput,
} from "../commands/DescribeKeyCommand";
import {
  DescribeMapCommandInput,
  DescribeMapCommandOutput,
} from "../commands/DescribeMapCommand";
import {
  DescribePlaceIndexCommandInput,
  DescribePlaceIndexCommandOutput,
} from "../commands/DescribePlaceIndexCommand";
import {
  DescribeRouteCalculatorCommandInput,
  DescribeRouteCalculatorCommandOutput,
} from "../commands/DescribeRouteCalculatorCommand";
import {
  DescribeTrackerCommandInput,
  DescribeTrackerCommandOutput,
} from "../commands/DescribeTrackerCommand";
import {
  DisassociateTrackerConsumerCommandInput,
  DisassociateTrackerConsumerCommandOutput,
} from "../commands/DisassociateTrackerConsumerCommand";
import {
  ForecastGeofenceEventsCommandInput,
  ForecastGeofenceEventsCommandOutput,
} from "../commands/ForecastGeofenceEventsCommand";
import {
  GetDevicePositionCommandInput,
  GetDevicePositionCommandOutput,
} from "../commands/GetDevicePositionCommand";
import {
  GetDevicePositionHistoryCommandInput,
  GetDevicePositionHistoryCommandOutput,
} from "../commands/GetDevicePositionHistoryCommand";
import {
  GetGeofenceCommandInput,
  GetGeofenceCommandOutput,
} from "../commands/GetGeofenceCommand";
import {
  GetMapGlyphsCommandInput,
  GetMapGlyphsCommandOutput,
} from "../commands/GetMapGlyphsCommand";
import {
  GetMapSpritesCommandInput,
  GetMapSpritesCommandOutput,
} from "../commands/GetMapSpritesCommand";
import {
  GetMapStyleDescriptorCommandInput,
  GetMapStyleDescriptorCommandOutput,
} from "../commands/GetMapStyleDescriptorCommand";
import {
  GetMapTileCommandInput,
  GetMapTileCommandOutput,
} from "../commands/GetMapTileCommand";
import {
  GetPlaceCommandInput,
  GetPlaceCommandOutput,
} from "../commands/GetPlaceCommand";
import {
  ListDevicePositionsCommandInput,
  ListDevicePositionsCommandOutput,
} from "../commands/ListDevicePositionsCommand";
import {
  ListGeofenceCollectionsCommandInput,
  ListGeofenceCollectionsCommandOutput,
} from "../commands/ListGeofenceCollectionsCommand";
import {
  ListGeofencesCommandInput,
  ListGeofencesCommandOutput,
} from "../commands/ListGeofencesCommand";
import {
  ListKeysCommandInput,
  ListKeysCommandOutput,
} from "../commands/ListKeysCommand";
import {
  ListMapsCommandInput,
  ListMapsCommandOutput,
} from "../commands/ListMapsCommand";
import {
  ListPlaceIndexesCommandInput,
  ListPlaceIndexesCommandOutput,
} from "../commands/ListPlaceIndexesCommand";
import {
  ListRouteCalculatorsCommandInput,
  ListRouteCalculatorsCommandOutput,
} from "../commands/ListRouteCalculatorsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListTrackerConsumersCommandInput,
  ListTrackerConsumersCommandOutput,
} from "../commands/ListTrackerConsumersCommand";
import {
  ListTrackersCommandInput,
  ListTrackersCommandOutput,
} from "../commands/ListTrackersCommand";
import {
  PutGeofenceCommandInput,
  PutGeofenceCommandOutput,
} from "../commands/PutGeofenceCommand";
import {
  SearchPlaceIndexForPositionCommandInput,
  SearchPlaceIndexForPositionCommandOutput,
} from "../commands/SearchPlaceIndexForPositionCommand";
import {
  SearchPlaceIndexForSuggestionsCommandInput,
  SearchPlaceIndexForSuggestionsCommandOutput,
} from "../commands/SearchPlaceIndexForSuggestionsCommand";
import {
  SearchPlaceIndexForTextCommandInput,
  SearchPlaceIndexForTextCommandOutput,
} from "../commands/SearchPlaceIndexForTextCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateGeofenceCollectionCommandInput,
  UpdateGeofenceCollectionCommandOutput,
} from "../commands/UpdateGeofenceCollectionCommand";
import {
  UpdateKeyCommandInput,
  UpdateKeyCommandOutput,
} from "../commands/UpdateKeyCommand";
import {
  UpdateMapCommandInput,
  UpdateMapCommandOutput,
} from "../commands/UpdateMapCommand";
import {
  UpdatePlaceIndexCommandInput,
  UpdatePlaceIndexCommandOutput,
} from "../commands/UpdatePlaceIndexCommand";
import {
  UpdateRouteCalculatorCommandInput,
  UpdateRouteCalculatorCommandOutput,
} from "../commands/UpdateRouteCalculatorCommand";
import {
  UpdateTrackerCommandInput,
  UpdateTrackerCommandOutput,
} from "../commands/UpdateTrackerCommand";
import {
  VerifyDevicePositionCommandInput,
  VerifyDevicePositionCommandOutput,
} from "../commands/VerifyDevicePositionCommand";
export declare const se_AssociateTrackerConsumerCommand: (
  input: AssociateTrackerConsumerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchDeleteDevicePositionHistoryCommand: (
  input: BatchDeleteDevicePositionHistoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchDeleteGeofenceCommand: (
  input: BatchDeleteGeofenceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchEvaluateGeofencesCommand: (
  input: BatchEvaluateGeofencesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchGetDevicePositionCommand: (
  input: BatchGetDevicePositionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchPutGeofenceCommand: (
  input: BatchPutGeofenceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchUpdateDevicePositionCommand: (
  input: BatchUpdateDevicePositionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CalculateRouteCommand: (
  input: CalculateRouteCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CalculateRouteMatrixCommand: (
  input: CalculateRouteMatrixCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateGeofenceCollectionCommand: (
  input: CreateGeofenceCollectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateKeyCommand: (
  input: CreateKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMapCommand: (
  input: CreateMapCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePlaceIndexCommand: (
  input: CreatePlaceIndexCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRouteCalculatorCommand: (
  input: CreateRouteCalculatorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateTrackerCommand: (
  input: CreateTrackerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteGeofenceCollectionCommand: (
  input: DeleteGeofenceCollectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteKeyCommand: (
  input: DeleteKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMapCommand: (
  input: DeleteMapCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePlaceIndexCommand: (
  input: DeletePlaceIndexCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRouteCalculatorCommand: (
  input: DeleteRouteCalculatorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteTrackerCommand: (
  input: DeleteTrackerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeGeofenceCollectionCommand: (
  input: DescribeGeofenceCollectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeKeyCommand: (
  input: DescribeKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMapCommand: (
  input: DescribeMapCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePlaceIndexCommand: (
  input: DescribePlaceIndexCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRouteCalculatorCommand: (
  input: DescribeRouteCalculatorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTrackerCommand: (
  input: DescribeTrackerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateTrackerConsumerCommand: (
  input: DisassociateTrackerConsumerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ForecastGeofenceEventsCommand: (
  input: ForecastGeofenceEventsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDevicePositionCommand: (
  input: GetDevicePositionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDevicePositionHistoryCommand: (
  input: GetDevicePositionHistoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetGeofenceCommand: (
  input: GetGeofenceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMapGlyphsCommand: (
  input: GetMapGlyphsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMapSpritesCommand: (
  input: GetMapSpritesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMapStyleDescriptorCommand: (
  input: GetMapStyleDescriptorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMapTileCommand: (
  input: GetMapTileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPlaceCommand: (
  input: GetPlaceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDevicePositionsCommand: (
  input: ListDevicePositionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListGeofenceCollectionsCommand: (
  input: ListGeofenceCollectionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListGeofencesCommand: (
  input: ListGeofencesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListKeysCommand: (
  input: ListKeysCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMapsCommand: (
  input: ListMapsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPlaceIndexesCommand: (
  input: ListPlaceIndexesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRouteCalculatorsCommand: (
  input: ListRouteCalculatorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTrackerConsumersCommand: (
  input: ListTrackerConsumersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTrackersCommand: (
  input: ListTrackersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutGeofenceCommand: (
  input: PutGeofenceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchPlaceIndexForPositionCommand: (
  input: SearchPlaceIndexForPositionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchPlaceIndexForSuggestionsCommand: (
  input: SearchPlaceIndexForSuggestionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchPlaceIndexForTextCommand: (
  input: SearchPlaceIndexForTextCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateGeofenceCollectionCommand: (
  input: UpdateGeofenceCollectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateKeyCommand: (
  input: UpdateKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateMapCommand: (
  input: UpdateMapCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePlaceIndexCommand: (
  input: UpdatePlaceIndexCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRouteCalculatorCommand: (
  input: UpdateRouteCalculatorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateTrackerCommand: (
  input: UpdateTrackerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_VerifyDevicePositionCommand: (
  input: VerifyDevicePositionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AssociateTrackerConsumerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateTrackerConsumerCommandOutput>;
export declare const de_BatchDeleteDevicePositionHistoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDeleteDevicePositionHistoryCommandOutput>;
export declare const de_BatchDeleteGeofenceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDeleteGeofenceCommandOutput>;
export declare const de_BatchEvaluateGeofencesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchEvaluateGeofencesCommandOutput>;
export declare const de_BatchGetDevicePositionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetDevicePositionCommandOutput>;
export declare const de_BatchPutGeofenceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchPutGeofenceCommandOutput>;
export declare const de_BatchUpdateDevicePositionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchUpdateDevicePositionCommandOutput>;
export declare const de_CalculateRouteCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CalculateRouteCommandOutput>;
export declare const de_CalculateRouteMatrixCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CalculateRouteMatrixCommandOutput>;
export declare const de_CreateGeofenceCollectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateGeofenceCollectionCommandOutput>;
export declare const de_CreateKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateKeyCommandOutput>;
export declare const de_CreateMapCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMapCommandOutput>;
export declare const de_CreatePlaceIndexCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePlaceIndexCommandOutput>;
export declare const de_CreateRouteCalculatorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRouteCalculatorCommandOutput>;
export declare const de_CreateTrackerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateTrackerCommandOutput>;
export declare const de_DeleteGeofenceCollectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteGeofenceCollectionCommandOutput>;
export declare const de_DeleteKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteKeyCommandOutput>;
export declare const de_DeleteMapCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMapCommandOutput>;
export declare const de_DeletePlaceIndexCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePlaceIndexCommandOutput>;
export declare const de_DeleteRouteCalculatorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRouteCalculatorCommandOutput>;
export declare const de_DeleteTrackerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTrackerCommandOutput>;
export declare const de_DescribeGeofenceCollectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeGeofenceCollectionCommandOutput>;
export declare const de_DescribeKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeKeyCommandOutput>;
export declare const de_DescribeMapCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMapCommandOutput>;
export declare const de_DescribePlaceIndexCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePlaceIndexCommandOutput>;
export declare const de_DescribeRouteCalculatorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRouteCalculatorCommandOutput>;
export declare const de_DescribeTrackerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTrackerCommandOutput>;
export declare const de_DisassociateTrackerConsumerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateTrackerConsumerCommandOutput>;
export declare const de_ForecastGeofenceEventsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ForecastGeofenceEventsCommandOutput>;
export declare const de_GetDevicePositionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDevicePositionCommandOutput>;
export declare const de_GetDevicePositionHistoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDevicePositionHistoryCommandOutput>;
export declare const de_GetGeofenceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetGeofenceCommandOutput>;
export declare const de_GetMapGlyphsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMapGlyphsCommandOutput>;
export declare const de_GetMapSpritesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMapSpritesCommandOutput>;
export declare const de_GetMapStyleDescriptorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMapStyleDescriptorCommandOutput>;
export declare const de_GetMapTileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMapTileCommandOutput>;
export declare const de_GetPlaceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPlaceCommandOutput>;
export declare const de_ListDevicePositionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDevicePositionsCommandOutput>;
export declare const de_ListGeofenceCollectionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListGeofenceCollectionsCommandOutput>;
export declare const de_ListGeofencesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListGeofencesCommandOutput>;
export declare const de_ListKeysCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListKeysCommandOutput>;
export declare const de_ListMapsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMapsCommandOutput>;
export declare const de_ListPlaceIndexesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPlaceIndexesCommandOutput>;
export declare const de_ListRouteCalculatorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRouteCalculatorsCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListTrackerConsumersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTrackerConsumersCommandOutput>;
export declare const de_ListTrackersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTrackersCommandOutput>;
export declare const de_PutGeofenceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutGeofenceCommandOutput>;
export declare const de_SearchPlaceIndexForPositionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchPlaceIndexForPositionCommandOutput>;
export declare const de_SearchPlaceIndexForSuggestionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchPlaceIndexForSuggestionsCommandOutput>;
export declare const de_SearchPlaceIndexForTextCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchPlaceIndexForTextCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateGeofenceCollectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateGeofenceCollectionCommandOutput>;
export declare const de_UpdateKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateKeyCommandOutput>;
export declare const de_UpdateMapCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateMapCommandOutput>;
export declare const de_UpdatePlaceIndexCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePlaceIndexCommandOutput>;
export declare const de_UpdateRouteCalculatorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRouteCalculatorCommandOutput>;
export declare const de_UpdateTrackerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateTrackerCommandOutput>;
export declare const de_VerifyDevicePositionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<VerifyDevicePositionCommandOutput>;
